#! /usr/bin/env python

import sys
args = sys.argv[1:]

import eyed3
from eyed3.mp3 import Mp3AudioFile


def id3tag_recode(value):
    try:
        return value.encode(dst_encoding)
    except UnicodeEncodeError:
        return value.encode('latin1')

def printFrame(title, frame):
    if frame:
        print '%s: %s' % (title, frame)

def printFramesList(title, frames):
    frames = [frame for frame in frames if frame]
    if frames:
        print '%s: %s' % (title, ', '.join(frames))

def printTrack(title, frame):
    if frame:
        track, total = frame
        if total and track:
            print '%s: %d (of %d)' % (title, track, total)
        elif track:
            print '%s: %d' % (title, track)
        elif total:
            print '%s: UNKNOWN of %d' % (title, total)

for filename in args:
    print "File:", filename
    mp3_file = Mp3AudioFile(filename)

    id3tag = mp3_file.getTag()
    if not id3tag:
        sys.exit()

    for version in eyed3.id3.ID3_V2, eyed3.id3.ID3_V1:
        id3tag = eyed3.id3.tag.Tag()
        if not id3tag.parse(filename, version):
            continue

        images = id3tag.images
        if images:
            for image in images:
                image.writeFile()
